microsoft-foundry.rest.security.o-auth2-auth
Models
Get model asset credentials
POST
/models/{name}/versions/{version}/credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
查询参数
api-version
string
必需
The API version to use for this operation.
标头参数
Foundry-Features
enum
必需
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Models=V1Preview
路径参数
name
string
必需
Name of the model.
version
string
必需
Version of the model.
请求正文
The credential request request body.
Content-Type: application/json
blobUri
string
必需
Blob URI of the model asset to fetch credentials for.
响应
The request has succeeded.
正文
Content-Type: application/json
blobReference
BlobReference
必需
Blob reference details.
blobUri
string
必需
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必需
ARM ID of the storage account to use.
credential
SasCredential
必需
SAS Credential definition
sasUri
string
必需
SAS uri
type
enum
必需
Type of credential
SAS
请求
POST /models/{name}/versions/{version}/credentials HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json